import * as React from 'react';
import { EchartCommentProps } from './interface';
/**
 * 定义 echart 的规范
*/
export default abstract class extends React.PureComponent<EchartCommentProps> {
    id: string;
    WIDTH: number;
    HEIGHT: number;
    DATA: any;
    chart: any;
    abstract build(): any;
    abstract update(): any;
    _needResize(): boolean;
    /**
     * resize方法会在宽高发生变化的情况下自动调用
    */
    resize(): void;
    /**
     * init 方法会在build前自动调用
    */
    init(): void;
    /**
     * sort方法会在 build前 或 update前 自动调用
    */
    sort(): void;
    componentWillMount(): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    render(): JSX.Element;
}
